/*Siddhartha Kasivajhula
* Georgia Institute of Technology
* c/o Predrag Cvitanovic
* Advisor: Rytis Paskauskas
* Fall 2005
*/

import java.awt.*;
import java.util.Calendar;
import java.util.GregorianCalendar;

public class AFMConstants {
    //### some simulator constants ###//
    public static final int DURATION = 1000; // in milliseconds
    public static final int SAMPLES = 1000; // surface samples
    //###//

    //### Default initial parameters, conditions ###//
    // default
    public static final double default_a = 0.8,
            default_t = 0,
            default_x = 0.018038552741981575050571488355,
            default_y = 0.5985119378367934,
            default_px = 0.004445733640121142,
            default_py = 0.045538494373958266,
            default_y0 = 0,
            default_V = 0.025836841411021969,
            default_e = 0.0791855;

    // periodic
    public static final double periodic_a = 0.9,
            periodic_t = 0,
            periodic_x = 0.018038552741981575050571488355,
            periodic_y = 0.5985119378367934,
            periodic_px = 0.004445733640121142,
            periodic_py = 0.045538494373958266,
            periodic_y0 = 0,
            periodic_V = 0.025836841411021969,
            periodic_e = 0.0791855;
    //###//
    //### "Look and Feel" constants (colors) ###//
    // all the colors used in the applet. You can change the look and feel of the applet from here
    public static Color BG_color = Color.black,
            text_color = Color.white,
            surface_color = Color.blue,
            AFMspring_color = Color.gray,
            axes_color = Color.gray,
            mapPoints_color = Color.yellow,
            mapMarker_color = Color.blue,
            probeText_color = Color.orange,
            info_color = Color.red,
            terminal_color = Color.green,
            poincare_color = Color.cyan,
            mapType_color = Color.lightGray;


    // note: these default values (above) are currently read from AFMSimulator
    // and from AFMApplet. Remove from those classes, use these.

    //File I/O constants
    public static String path = "/home/siddhartha/work/AFM/Kasivajhula/data/";
    //public static String fileName = "afm_" + Long.toString(new java.util.Date().getTime()) + ".dat";
    public static String fileName = "afm_" + new GregorianCalendar().get(Calendar.YEAR) + + new GregorianCalendar().get(Calendar.MONTH) + new GregorianCalendar().get(Calendar.DATE)
            + "_" + new GregorianCalendar().get(Calendar.HOUR_OF_DAY) + new GregorianCalendar().get(Calendar.MINUTE) + new GregorianCalendar().get(Calendar.SECOND) + ".dat";

}// end AFMConstants
